/*******************************************************************                                                                
*   SASload_KID_2000_CORE.SAS:                                                                                                      
*      THE SAS CODE SHOWN BELOW WILL LOAD THE ASCII                                                                                 
*      INPATIENT STAY CORE FILE INTO SAS                                                                                            
*******************************************************************/                                                                
                                                                                                                                    
                                                                                                                                    
***********************************************;                                                                                    
*  Create SAS informats for missing values     ;                                                                                    
***********************************************;                                                                                    
PROC FORMAT;                                                                                                                        
  INVALUE N2PF                                                                                                                      
    '-9' = .                                                                                                                        
    '-8' = .A                                                                                                                       
    '-6' = .C                                                                                                                       
    '-5' = .N                                                                                                                       
    OTHER = (|2.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N3PF                                                                                                                      
    '-99' = .                                                                                                                       
    '-88' = .A                                                                                                                      
    '-66' = .C                                                                                                                      
    OTHER = (|3.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N4PF                                                                                                                      
    '-999' = .                                                                                                                      
    '-888' = .A                                                                                                                     
    '-666' = .C                                                                                                                     
    OTHER = (|4.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N5PF                                                                                                                      
    '-9999' = .                                                                                                                     
    '-8888' = .A                                                                                                                    
    '-6666' = .C                                                                                                                    
    OTHER = (|5.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N6PF                                                                                                                      
    '-99999' = .                                                                                                                    
    '-88888' = .A                                                                                                                   
    '-66666' = .C                                                                                                                   
    OTHER = (|6.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N6P2F                                                                                                                     
    '-99.99' = .                                                                                                                    
    '-88.88' = .A                                                                                                                   
    '-66.66' = .C                                                                                                                   
    OTHER = (|6.2|)                                                                                                                 
  ;                                                                                                                                 
  INVALUE N7P2F                                                                                                                     
    '-999.99' = .                                                                                                                   
    '-888.88' = .A                                                                                                                  
    '-666.66' = .C                                                                                                                  
    OTHER = (|7.2|)                                                                                                                 
  ;                                                                                                                                 
  INVALUE N8PF                                                                                                                      
    '-9999999' = .                                                                                                                  
    '-8888888' = .A                                                                                                                 
    '-6666666' = .C                                                                                                                 
    OTHER = (|8.|)                                                                                                                  
  ;                                                                                                                                 
  INVALUE N8P2F                                                                                                                     
    '-9999.99' = .                                                                                                                  
    '-8888.88' = .A                                                                                                                 
    '-6666.66' = .C                                                                                                                 
    OTHER = (|8.2|)                                                                                                                 
  ;                                                                                                                                 
  INVALUE N8P4F                                                                                                                     
    '-99.9999' = .                                                                                                                  
    '-88.8888' = .A                                                                                                                 
    '-66.6666' = .C                                                                                                                 
    OTHER = (|8.4|)                                                                                                                 
  ;                                                                                                                                 
  INVALUE N10PF                                                                                                                     
    '-999999999' = .                                                                                                                
    '-888888888' = .A                                                                                                               
    '-666666666' = .C                                                                                                               
    OTHER = (|10.|)                                                                                                                 
  ;                                                                                                                                 
  INVALUE N10P4F                                                                                                                    
    '-9999.9999' = .                                                                                                                
    '-8888.8888' = .A                                                                                                               
    '-6666.6666' = .C                                                                                                               
    OTHER = (|10.4|)                                                                                                                
  ;                                                                                                                                 
  INVALUE DATE10F                                                                                                                   
    '-999999999' = .                                                                                                                
    '-888888888' = .A                                                                                                               
    '-666666666' = .C                                                                                                               
    OTHER = (|MMDDYY10.|)                                                                                                           
  ;                                                                                                                                 
  INVALUE N12P2F                                                                                                                    
    '-99999999.99' = .                                                                                                              
    '-88888888.88' = .A                                                                                                             
    '-66666666.66' = .C                                                                                                             
    OTHER = (|12.2|)                                                                                                                
  ;                                                                                                                                 
  INVALUE N15P2F                                                                                                                    
    '-99999999999.99' = .                                                                                                           
    '-88888888888.88' = .A                                                                                                          
    '-66666666666.66' = .C                                                                                                          
    OTHER = (|15.2|)                                                                                                                
  ;                                                                                                                                 
  RUN;                                                                                                                              
                                                                                                                                    
                                                                                                                                    
*******************************;                                                                                                    
*  Data Step                  *;                                                                                                    
*******************************;                                                                                                    
DATA KID_2000_CORE;                                                                                                                 
INFILE 'KID_2000_CORE.ASC' LRECL = 509;                                                                                             
                                                                                                                                    
*** Variable attribute ***;                                                                                                         
ATTRIB                                                                                                                              
  AGE                LENGTH=3                                                                                                       
  LABEL="Age in years at admission"                                                                                                 
                                                                                                                                    
  AGEDAY             LENGTH=3                                                                                                       
  LABEL="Age in days (when age < 1 year)"                                                                                           
                                                                                                                                    
  AGEMONTH           LENGTH=3                                                                                                       
  LABEL="Age in months (when age < 11 years)"                                                                                       
                                                                                                                                    
  AMONTH             LENGTH=3                                                                                                       
  LABEL="Admission month"                                                                                                           
                                                                                                                                    
  ASOURCE            LENGTH=3                                                                                                       
  LABEL="Admission source (uniform)"                                                                                                
                                                                                                                                    
  ASOURCE_X          LENGTH=$8                                                                                                      
  LABEL="Admission source (as received from source)"                                                                                
                                                                                                                                    
  ATYPE              LENGTH=3                                                                                                       
  LABEL="Admission type"                                                                                                            
                                                                                                                                    
  AWEEKEND           LENGTH=3                                                                                                       
  LABEL="Admission day is a weekend"                                                                                                
                                                                                                                                    
  BWT                LENGTH=4                                                                                                       
  LABEL="Birth weight in grams"                                                                                                     
                                                                                                                                    
  DIED               LENGTH=3                                                                                                       
  LABEL="Died during hospitalization"                                                                                               
                                                                                                                                    
  DISCWT             LENGTH=8                                                                                                       
  LABEL="Weight to discharges in AHA universe for estimates other than total charges"                                               
                                                                                                                                    
  DISCWTCHARGE       LENGTH=8                                                                                                       
  LABEL="Weight to discharges in AHA universe for total charge estimates"                                                           
                                                                                                                                    
  DISPUB92           LENGTH=3                                                                                                       
  LABEL="Disposition of patient (UB-92 standard coding)"                                                                            
                                                                                                                                    
  DISPUNIFORM        LENGTH=3                                                                                                       
  LABEL="Disposition of patient (uniform)"                                                                                          
                                                                                                                                    
  DQTR               LENGTH=3                                                                                                       
  LABEL="Discharge quarter"                                                                                                         
                                                                                                                                    
  DRG                LENGTH=3                                                                                                       
  LABEL="DRG in effect on discharge date"                                                                                           
                                                                                                                                    
  DRG18              LENGTH=3                                                                                                       
  LABEL="DRG, version 18"                                                                                                           
                                                                                                                                    
  DRGVER             LENGTH=3                                                                                                       
  LABEL="DRG grouper version used on discharge date"                                                                                
                                                                                                                                    
  DSHOSPID           LENGTH=$13                                                                                                     
  LABEL="Data source hospital identifier"                                                                                           
                                                                                                                                    
  DX1                LENGTH=$5                                                                                                      
  LABEL="Principal diagnosis"                                                                                                       
                                                                                                                                    
  DX2                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 2"                                                                                                               
                                                                                                                                    
  DX3                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 3"                                                                                                               
                                                                                                                                    
  DX4                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 4"                                                                                                               
                                                                                                                                    
  DX5                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 5"                                                                                                               
                                                                                                                                    
  DX6                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 6"                                                                                                               
                                                                                                                                    
  DX7                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 7"                                                                                                               
                                                                                                                                    
  DX8                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 8"                                                                                                               
                                                                                                                                    
  DX9                LENGTH=$5                                                                                                      
  LABEL="Diagnosis 9"                                                                                                               
                                                                                                                                    
  DX10               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 10"                                                                                                              
                                                                                                                                    
  DX11               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 11"                                                                                                              
                                                                                                                                    
  DX12               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 12"                                                                                                              
                                                                                                                                    
  DX13               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 13"                                                                                                              
                                                                                                                                    
  DX14               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 14"                                                                                                              
                                                                                                                                    
  DX15               LENGTH=$5                                                                                                      
  LABEL="Diagnosis 15"                                                                                                              
                                                                                                                                    
  DXCCS1             LENGTH=4                                                                                                       
  LABEL="CCS: principal diagnosis"                                                                                                  
                                                                                                                                    
  DXCCS2             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 2"                                                                                                          
                                                                                                                                    
  DXCCS3             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 3"                                                                                                          
                                                                                                                                    
  DXCCS4             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 4"                                                                                                          
                                                                                                                                    
  DXCCS5             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 5"                                                                                                          
                                                                                                                                    
  DXCCS6             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 6"                                                                                                          
                                                                                                                                    
  DXCCS7             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 7"                                                                                                          
                                                                                                                                    
  DXCCS8             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 8"                                                                                                          
                                                                                                                                    
  DXCCS9             LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 9"                                                                                                          
                                                                                                                                    
  DXCCS10            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 10"                                                                                                         
                                                                                                                                    
  DXCCS11            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 11"                                                                                                         
                                                                                                                                    
  DXCCS12            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 12"                                                                                                         
                                                                                                                                    
  DXCCS13            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 13"                                                                                                         
                                                                                                                                    
  DXCCS14            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 14"                                                                                                         
                                                                                                                                    
  DXCCS15            LENGTH=4                                                                                                       
  LABEL="CCS: diagnosis 15"                                                                                                         
                                                                                                                                    
  FEMALE             LENGTH=3                                                                                                       
  LABEL="Indicator of sex"                                                                                                          
                                                                                                                                    
  HOSPBRTH           LENGTH=3                                                                                                       
  LABEL="Birth diagnosis, in this hospital"                                                                                         
                                                                                                                                    
  HOSPID             LENGTH=4          FORMAT=Z5.                                                                                   
  LABEL="HCUP hospital identification number"                                                                                       
                                                                                                                                    
  HOSPST             LENGTH=$2                                                                                                      
  LABEL="Hospital state postal code"                                                                                                
                                                                                                                                    
  HOSPSTCO           LENGTH=4          FORMAT=Z5.                                                                                   
  LABEL="Hospital modified FIPS state/county code"                                                                                  
                                                                                                                                    
  KEY                LENGTH=8          FORMAT=Z14.                                                                                  
  LABEL="HCUP record identifier"                                                                                                    
                                                                                                                                    
  KID_STRATUM        LENGTH=4                                                                                                       
  LABEL="Hospital stratum used for weights"                                                                                         
                                                                                                                                    
  LOS                LENGTH=4                                                                                                       
  LABEL="Length of stay (cleaned)"                                                                                                  
                                                                                                                                    
  LOS_X              LENGTH=4                                                                                                       
  LABEL="Length of stay (as received from source)"                                                                                  
                                                                                                                                    
  MDC                LENGTH=3                                                                                                       
  LABEL="MDC in effect on discharge date"                                                                                           
                                                                                                                                    
  MDC18              LENGTH=3                                                                                                       
  LABEL="MDC, version 18"                                                                                                           
                                                                                                                                    
  MDID_S             LENGTH=$16                                                                                                     
  LABEL="Attending physician number (synthetic)"                                                                                    
                                                                                                                                    
  NDX                LENGTH=3                                                                                                       
  LABEL="Number of diagnoses on this record"                                                                                        
                                                                                                                                    
  NEOMAT             LENGTH=3                                                                                                       
  LABEL="Neonatal and/or maternal DX and/or PR"                                                                                     
                                                                                                                                    
  NPR                LENGTH=3                                                                                                       
  LABEL="Number of procedures on this record"                                                                                       
                                                                                                                                    
  PAY1               LENGTH=3                                                                                                       
  LABEL="Primary expected payer (uniform)"                                                                                          
                                                                                                                                    
  PAY2               LENGTH=3                                                                                                       
  LABEL="Secondary expected payer (uniform)"                                                                                        
                                                                                                                                    
  PAY1_X             LENGTH=$10                                                                                                     
  LABEL="Primary expected payer (as received from source)"                                                                          
                                                                                                                                    
  PAY2_X             LENGTH=$10                                                                                                     
  LABEL="Secondary expected payer (as received from source)"                                                                        
                                                                                                                                    
  PR1                LENGTH=$4                                                                                                      
  LABEL="Principal procedure"                                                                                                       
                                                                                                                                    
  PR2                LENGTH=$4                                                                                                      
  LABEL="Procedure 2"                                                                                                               
                                                                                                                                    
  PR3                LENGTH=$4                                                                                                      
  LABEL="Procedure 3"                                                                                                               
                                                                                                                                    
  PR4                LENGTH=$4                                                                                                      
  LABEL="Procedure 4"                                                                                                               
                                                                                                                                    
  PR5                LENGTH=$4                                                                                                      
  LABEL="Procedure 5"                                                                                                               
                                                                                                                                    
  PR6                LENGTH=$4                                                                                                      
  LABEL="Procedure 6"                                                                                                               
                                                                                                                                    
  PR7                LENGTH=$4                                                                                                      
  LABEL="Procedure 7"                                                                                                               
                                                                                                                                    
  PR8                LENGTH=$4                                                                                                      
  LABEL="Procedure 8"                                                                                                               
                                                                                                                                    
  PR9                LENGTH=$4                                                                                                      
  LABEL="Procedure 9"                                                                                                               
                                                                                                                                    
  PR10               LENGTH=$4                                                                                                      
  LABEL="Procedure 10"                                                                                                              
                                                                                                                                    
  PR11               LENGTH=$4                                                                                                      
  LABEL="Procedure 11"                                                                                                              
                                                                                                                                    
  PR12               LENGTH=$4                                                                                                      
  LABEL="Procedure 12"                                                                                                              
                                                                                                                                    
  PR13               LENGTH=$4                                                                                                      
  LABEL="Procedure 13"                                                                                                              
                                                                                                                                    
  PR14               LENGTH=$4                                                                                                      
  LABEL="Procedure 14"                                                                                                              
                                                                                                                                    
  PR15               LENGTH=$4                                                                                                      
  LABEL="Procedure 15"                                                                                                              
                                                                                                                                    
  PRCCS1             LENGTH=3                                                                                                       
  LABEL="CCS: principal procedure"                                                                                                  
                                                                                                                                    
  PRCCS2             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 2"                                                                                                          
                                                                                                                                    
  PRCCS3             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 3"                                                                                                          
                                                                                                                                    
  PRCCS4             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 4"                                                                                                          
                                                                                                                                    
  PRCCS5             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 5"                                                                                                          
                                                                                                                                    
  PRCCS6             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 6"                                                                                                          
                                                                                                                                    
  PRCCS7             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 7"                                                                                                          
                                                                                                                                    
  PRCCS8             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 8"                                                                                                          
                                                                                                                                    
  PRCCS9             LENGTH=3                                                                                                       
  LABEL="CCS: procedure 9"                                                                                                          
                                                                                                                                    
  PRCCS10            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 10"                                                                                                         
                                                                                                                                    
  PRCCS11            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 11"                                                                                                         
                                                                                                                                    
  PRCCS12            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 12"                                                                                                         
                                                                                                                                    
  PRCCS13            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 13"                                                                                                         
                                                                                                                                    
  PRCCS14            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 14"                                                                                                         
                                                                                                                                    
  PRCCS15            LENGTH=3                                                                                                       
  LABEL="CCS: procedure 15"                                                                                                         
                                                                                                                                    
  PRDAY1             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR1"                                                                                      
                                                                                                                                    
  PRDAY2             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR2"                                                                                      
                                                                                                                                    
  PRDAY3             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR3"                                                                                      
                                                                                                                                    
  PRDAY4             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR4"                                                                                      
                                                                                                                                    
  PRDAY5             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR5"                                                                                      
                                                                                                                                    
  PRDAY6             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR6"                                                                                      
                                                                                                                                    
  PRDAY7             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR7"                                                                                      
                                                                                                                                    
  PRDAY8             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR8"                                                                                      
                                                                                                                                    
  PRDAY9             LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR9"                                                                                      
                                                                                                                                    
  PRDAY10            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR10"                                                                                     
                                                                                                                                    
  PRDAY11            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR11"                                                                                     
                                                                                                                                    
  PRDAY12            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR12"                                                                                     
                                                                                                                                    
  PRDAY13            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR13"                                                                                     
                                                                                                                                    
  PRDAY14            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR14"                                                                                     
                                                                                                                                    
  PRDAY15            LENGTH=4                                                                                                       
  LABEL="Number of days from admission to PR15"                                                                                     
                                                                                                                                    
  RACE               LENGTH=3                                                                                                       
  LABEL="Race (uniform)"                                                                                                            
                                                                                                                                    
  SURGID_S           LENGTH=$16                                                                                                     
  LABEL="Primary surgeon number (synthetic)"                                                                                        
                                                                                                                                    
  TOTCHG             LENGTH=6                                                                                                       
  LABEL="Total charges (cleaned)"                                                                                                   
                                                                                                                                    
  TOTCHG_X           LENGTH=7                                                                                                       
  LABEL="Total charges (as received from source)"                                                                                   
                                                                                                                                    
  UNCBRTH            LENGTH=3                                                                                                       
  LABEL="Normal uncomplicated birth in hospital"                                                                                    
                                                                                                                                    
  YEAR               LENGTH=3                                                                                                       
  LABEL="Calendar year"                                                                                                             
                                                                                                                                    
  ZIPINC             LENGTH=3                                                                                                       
  LABEL="Median household income category for patient's ZIP Code"                                                                   
  ;                                                                                                                                 
                                                                                                                                    
                                                                                                                                    
*** Input the variables from the ASCII file ***;                                                                                    
INPUT                                                                                                                               
      @1      AGE                 N3PF.                                                                                             
      @4      AGEDAY              N3PF.                                                                                             
      @7      AGEMONTH            N3PF.                                                                                             
      @10     AMONTH              N2PF.                                                                                             
      @12     ASOURCE             N2PF.                                                                                             
      @14     ASOURCE_X           $CHAR8.                                                                                           
      @22     ATYPE               N2PF.                                                                                             
      @24     AWEEKEND            N2PF.                                                                                             
      @26     BWT                 N4PF.                                                                                             
      @30     DIED                N2PF.                                                                                             
      @32     DISCWT              N10P4F.                                                                                           
      @42     DISCWTCHARGE        N10P4F.                                                                                           
      @52     DISPUB92            N2PF.                                                                                             
      @54     DISPUNIFORM         N2PF.                                                                                             
      @56     DQTR                N2PF.                                                                                             
      @58     DRG                 N3PF.                                                                                             
      @61     DRG18               N3PF.                                                                                             
      @64     DRGVER              N2PF.                                                                                             
      @66     DSHOSPID            $CHAR13.                                                                                          
      @79     DX1                 $CHAR5.                                                                                           
      @84     DX2                 $CHAR5.                                                                                           
      @89     DX3                 $CHAR5.                                                                                           
      @94     DX4                 $CHAR5.                                                                                           
      @99     DX5                 $CHAR5.                                                                                           
      @104    DX6                 $CHAR5.                                                                                           
      @109    DX7                 $CHAR5.                                                                                           
      @114    DX8                 $CHAR5.                                                                                           
      @119    DX9                 $CHAR5.                                                                                           
      @124    DX10                $CHAR5.                                                                                           
      @129    DX11                $CHAR5.                                                                                           
      @134    DX12                $CHAR5.                                                                                           
      @139    DX13                $CHAR5.                                                                                           
      @144    DX14                $CHAR5.                                                                                           
      @149    DX15                $CHAR5.                                                                                           
      @154    DXCCS1              N4PF.                                                                                             
      @158    DXCCS2              N4PF.                                                                                             
      @162    DXCCS3              N4PF.                                                                                             
      @166    DXCCS4              N4PF.                                                                                             
      @170    DXCCS5              N4PF.                                                                                             
      @174    DXCCS6              N4PF.                                                                                             
      @178    DXCCS7              N4PF.                                                                                             
      @182    DXCCS8              N4PF.                                                                                             
      @186    DXCCS9              N4PF.                                                                                             
      @190    DXCCS10             N4PF.                                                                                             
      @194    DXCCS11             N4PF.                                                                                             
      @198    DXCCS12             N4PF.                                                                                             
      @202    DXCCS13             N4PF.                                                                                             
      @206    DXCCS14             N4PF.                                                                                             
      @210    DXCCS15             N4PF.                                                                                             
      @214    FEMALE              N2PF.                                                                                             
      @216    HOSPBRTH            N2PF.                                                                                             
      @218    HOSPID              5.                                                                                                
      @223    HOSPST              $CHAR2.                                                                                           
      @225    HOSPSTCO            N5PF.                                                                                             
      @230    KEY                 14.                                                                                               
      @244    KID_STRATUM         N4PF.                                                                                             
      @248    LOS                 N5PF.                                                                                             
      @253    LOS_X               N6PF.                                                                                             
      @259    MDC                 N2PF.                                                                                             
      @261    MDC18               N2PF.                                                                                             
      @263    MDID_S              $CHAR16.                                                                                          
      @279    NDX                 N2PF.                                                                                             
      @281    NEOMAT              N2PF.                                                                                             
      @283    NPR                 N2PF.                                                                                             
      @285    PAY1                N2PF.                                                                                             
      @287    PAY2                N2PF.                                                                                             
      @289    PAY1_X              $CHAR10.                                                                                          
      @299    PAY2_X              $CHAR10.                                                                                          
      @309    PR1                 $CHAR4.                                                                                           
      @313    PR2                 $CHAR4.                                                                                           
      @317    PR3                 $CHAR4.                                                                                           
      @321    PR4                 $CHAR4.                                                                                           
      @325    PR5                 $CHAR4.                                                                                           
      @329    PR6                 $CHAR4.                                                                                           
      @333    PR7                 $CHAR4.                                                                                           
      @337    PR8                 $CHAR4.                                                                                           
      @341    PR9                 $CHAR4.                                                                                           
      @345    PR10                $CHAR4.                                                                                           
      @349    PR11                $CHAR4.                                                                                           
      @353    PR12                $CHAR4.                                                                                           
      @357    PR13                $CHAR4.                                                                                           
      @361    PR14                $CHAR4.                                                                                           
      @365    PR15                $CHAR4.                                                                                           
      @369    PRCCS1              N3PF.                                                                                             
      @372    PRCCS2              N3PF.                                                                                             
      @375    PRCCS3              N3PF.                                                                                             
      @378    PRCCS4              N3PF.                                                                                             
      @381    PRCCS5              N3PF.                                                                                             
      @384    PRCCS6              N3PF.                                                                                             
      @387    PRCCS7              N3PF.                                                                                             
      @390    PRCCS8              N3PF.                                                                                             
      @393    PRCCS9              N3PF.                                                                                             
      @396    PRCCS10             N3PF.                                                                                             
      @399    PRCCS11             N3PF.                                                                                             
      @402    PRCCS12             N3PF.                                                                                             
      @405    PRCCS13             N3PF.                                                                                             
      @408    PRCCS14             N3PF.                                                                                             
      @411    PRCCS15             N3PF.                                                                                             
      @414    PRDAY1              N3PF.                                                                                             
      @417    PRDAY2              N3PF.                                                                                             
      @420    PRDAY3              N3PF.                                                                                             
      @423    PRDAY4              N3PF.                                                                                             
      @426    PRDAY5              N3PF.                                                                                             
      @429    PRDAY6              N3PF.                                                                                             
      @432    PRDAY7              N3PF.                                                                                             
      @435    PRDAY8              N3PF.                                                                                             
      @438    PRDAY9              N3PF.                                                                                             
      @441    PRDAY10             N3PF.                                                                                             
      @444    PRDAY11             N3PF.                                                                                             
      @447    PRDAY12             N3PF.                                                                                             
      @450    PRDAY13             N3PF.                                                                                             
      @453    PRDAY14             N3PF.                                                                                             
      @456    PRDAY15             N3PF.                                                                                             
      @459    RACE                N2PF.                                                                                             
      @461    SURGID_S            $CHAR16.                                                                                          
      @477    TOTCHG              N10PF.                                                                                            
      @487    TOTCHG_X            N15P2F.                                                                                           
      @502    UNCBRTH             N2PF.                                                                                             
      @504    YEAR                N4PF.                                                                                             
      @508    ZIPINC              N2PF.                                                                                             
      ;                                                                                                                             
                                                                                                                                    
                                                                                                                                    
RUN;
